package com.arms.api.analysis.time.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.request.CompositeRequestDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.request.SearchRequestDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class TimeDTO extends CompositeRequestDTO {

    PdServiceAndIsReqDTO pdServiceAndIsReq;
    String startDate;
    String endDate;

    public Long fetchPdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> fetchPdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean fetchIsReq(){
        return pdServiceAndIsReq.getIsReq();
    }
}
